<script setup lang="ts">
import {api} from '@/fetcher';
import { reactive } from 'vue';
import {authStore} from '@/stores/auth';

const auth = authStore();

const registerForm = reactive({
    email: '',
    password: ''
});

const loginForm = reactive({
    email: '',
    password: ''
});

async function register() {
    const response = await api.post("http://localhost:8080/api/user", registerForm);


}
async function login() {
    const response = await api.get("http://localhost:8080/api/account", {
        auth: {
            username: loginForm.email,
            password: loginForm.password
        }
    });

    auth.$patch(store => store.user = response.data);
    


}

</script>


<template>
<h2>Register</h2>
<form @submit.prevent="register">
    <label for="email">Email</label>
    <input type="email" id="email" v-model="registerForm.email">
    <label for="password">Password</label>
    <input type="password" id="password" v-model="registerForm.password">
    <button>Register</button>
</form>

<h2>Login</h2>
<form @submit.prevent="login">
    <label for="email">Email</label>
    <input type="email" id="email" v-model="loginForm.email">
    <label for="password">Password</label>
    <input type="password" id="password" v-model="loginForm.password">
    <button>Login</button>
</form>
</template>